/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id$
 *
 ****************************************************************************/

#ifndef __FLOW_H
#define __FLOW_H

//---------------------------------------------------------------
// flow (abstract)

#define FLOW_CLASS		FOURCC('F','L','O','W')
// buffer empty (setting acts as reset) (bool_t)
#define FLOW_EMPTY		0x10
// total processed units (int)
#define FLOW_TOTAL		0x11
// total dropped units
#define FLOW_DROPPED	0x12

extern DLL const datadef FlowParams[];

//---------------------------------------------------------------
// output flow (abstract)

#define OUTPUT_CLASS	FOURCC('O','U','T','P')

extern DLL const datadef OutputParams[];

#endif
