/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id$
 *
 ****************************************************************************/
 
#ifndef __MPEGAUDIO_H
#define __MPEGAUDIO_H

#define LIBMAD_ID		FOURCC('L','M','A','D')
#define MP3_ID			FOURCC('M','P','3','_')

#define AUDIOFMT_MP2	0x50
#define AUDIOFMT_MP3	0x55

extern void LibMad_Init();
extern void LibMad_Done();

extern void MP3_Init();
extern void MP3_Done();

extern void TagParse( const void* Ptr, int Len, pin* Pin );

#endif
