@echo off
set VER=0.04

set EVC="c:\Program Files\Microsoft eMbedded Tools\Common\EVC\Bin\EVC.EXE"
set CABWIZ="c:\Program Files\Microsoft eMbedded Tools\Common\EVB\CABWIZ.EXE"
set CABWIZSP="c:\Program Files\Windows CE Tools\wce300\Smartphone 2002\tools\CABWIZSP.EXE"

rem ##########################
rem #                        #
rem # compile source         #
rem #                        #
rem ##########################

rem %EVC% betaplayer.vcw /make "setup_ce3 - Win32 (WCE ARM) Release" /CEConfig="Pocket PC" /out arm.log
rem %EVC% betaplayer.vcw /make "setup_ce3 - Win32 (WCE MIPS) Release" /CEConfig="Pocket PC" /out mips.log
rem %EVC% betaplayer.vcw /make "setup_ce3 - Win32 (WCE SH3) Release" /CEConfig="Pocket PC" /out sh3.log

rem ##########################
rem #                        #
rem # create CAB files       #
rem #                        #
rem ##########################

%cabwiz% betaplayer.inf /cpu ARM_CE2 
%cabwiz% betaplayer.inf /cpu ARM_CE3
%cabwiz% betaplayer.inf /cpu ARM720_CE3
%cabwiz% betaplayer.inf /cpu SH3_CE2
%cabwiz% betaplayer.inf /cpu SH3_CE3
%cabwiz% betaplayer.inf /cpu MIPS_CE2
%cabwiz% betaplayer.inf /cpu MIPS_CE3
%cabwizsp% betaplayer.inf /cpu ARM_SP

setup\ezsetup -l english -i setup\install.ini -r setup\readme.txt -e copying.txt -o betaplayer.setup.%ver%.exe
setup\ezsetup -l english -i setup\installsp.ini -r setup\readme.txt -e copying.txt -o betaplayer.smartphone.%ver%.exe

rem upx --best betaplayer.setup.%ver%.exe
rem zip betaplayer.cabs.%ver%.zip *.cab

rem ##########################
rem #                        #
rem # remove temporary files #
rem #                        #
rem ##########################

del *.dat
                                        