;*****************************************************************************
;*
;* This program is free software ; you can redistribute it and/or modify
;* it under the terms of the GNU General Public License as published by
;* the Free Software Foundation; either version 2 of the License, or
;* (at your option) any later version.
;*
;* This program is distributed in the hope that it will be useful,
;* but WITHOUT ANY WARRANTY; without even the implied warranty of
;* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;* GNU General Public License for more details.
;*
;* You should have received a copy of the GNU General Public License
;* along with this program; if not, write to the Free Software
;* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
;*
;* $Id$
;*
;*****************************************************************************

BITS 32
SECTION .text

%macro cglobal 2
%ifdef POSTFIX
	%define %1 _%1@%2
%else
	%define %1 _%1
%endif
global %1
%endmacro

cglobal GetCpuId,0

ALIGN 16
GetCpuId:
	pushfd
	pop     eax
	mov     edx,eax
	xor     eax,00200000h
	push    eax
	popfd
	pushfd
	pop     eax
	cmp     eax,edx
	mov		eax,0
	jz      .NoCpuId
	inc		eax
	push    ebx
	cpuid   
	pop     ebx
	mov		eax,edx
	xor		edx,edx
.NoCpuId:
	ret 0
