/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id$
 *
 ****************************************************************************/

#include "stdafx.h"
#include "dyncode/dyncode.h"
#include "pcm/pcm_soft.h"
#include "blit/blit_soft.h"
#include "softidct/softidct.h"

#ifdef COMMON_EXPORTS

int DLLRegister()
{
	SysTimer_Init();
	SoftIDCT_Init(SOFTIDCT_ID);
	File_Init();
	HTTP_Init();
	WaveOut_Init();
	NullAudio_Init();
	NullVideo_Init();
	return ERR_NONE;
}

void DLLUnRegister()
{
	SysTimer_Done();
	SoftIDCT_Done();
	File_Done();
	HTTP_Done();
	WaveOut_Done();
	NullAudio_Done();
	NullVideo_Done();
}

#endif