/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id$
 *
 ****************************************************************************/

#ifndef __MPEGVIDEO_H
#define __MPEGVIDEO_H

#define MPEG_ID			FOURCC('M','P','E','G')
#define MPEG_ENCRYPTED	0x200

#define MPEG1_ID		FOURCC('M','P','G','1')
#define MPEG1_INPUT		0x100
#define MPEG1_IDCT		0x101

#define MVES_ID			FOURCC('M','V','E','S')

extern void MPEG_Init();
extern void MPEG_Done();

extern void MVES_Init();
extern void MVES_Done();

extern void MPEG1_Init();
extern void MPEG1_Done();

#endif
